<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <title>debconf5 | See you in hel</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css" media="all">@import "http://www.debconf.org/debconf5/misc/drupal.css";</style>
<style type="text/css">@import url(http://www.debconf.org/debconf5/modules/event/event.css);</style>
<link rel="alternate" type="application/rss+xml" title="RSS" href="http://www.debconf.org/debconf5/node/feed" />

  <style type="text/css" media="all">@import "http://www.debconf.org/debconf5/themes/debconf5/style.css";</style>

  <script type="text/javascript"> </script>
</head>

<body bgcolor="#ffffff" >

<div class="hide"><a href="http://www.debconf.org/debconf5/#content" title="Skip navigation." accesskey="2">Skip navigation</a>.</div>
      <!--a href="http://www.debconf.org/debconf5/" title="Home"><img src="http://www.debconf.org/debconf5/files/logo.png" alt="Home" width="144" height="63" border="0" /></a-->
      <!--div class='site-name'><a href="http://www.debconf.org/debconf5/./" title="Home">debconf5</a></div-->
<table id="top_line" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>

    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left_15.png"></td>
    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png"></td>
    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right_15.png"></td>
  </tr>
</table>
<table id="content" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>	
	<td colspan="5">
		<table id="primary-menu" summary="Navigation elements." border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>

		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left.png"></td>
		    <td class="top_left"><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_img.jpg"></a></td>
		    <td class="top_right" width="219" valign="top">
			   <table>
				<tr>
				  <td colspan="6"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="10"></td>
				</tr>
				<tr>
				  <td><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/home.jpg"></a></td>

				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/nav_divider.jpg"></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10" height="29"></td>
				  <td><a href="http://www.debconf.org/debconf5/search"><img src="http://www.debconf.org/debconf5/themes/debconf5/search.jpg"></a></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10"></td>
				</tr>
				<tr>
				  <td colspan="6"><form action="http://comas.linux-aktivaattori.org/comas/general/proposals/search" method="post">
    				    <div id="search">

  		  	 	  	<input class="form-text" type="text" size="15" value="" name="keys" alt="Enter the terms you wish to search for." />
    				      	<input class="form-submit" type="submit" value="Search" alt="submit" />
				        </div>
				      </form></td>	
				</tr>
			   </table>
			</td>
		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right.png"></td>
		  </tr>

		</table>
		<table id="bottom_line" border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>
		    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="7"></td>
		  </tr>
		</table>	
	</td>
  </tr>
  <tr>
  	<td colspan="5">
<div id="container">
<br/>
	<div id="comas" style="margin-left: 4%">


<h1>Debtags</h1>

<h2>Proposal details:</h2>

<table class="comas-table" width=100%>

<tr>
<td class="name">Abstract:</td>
<td class="input"><p><div class="hft-lines">Debtags is a system being developed to supersede the package sections, which<br />
are not useful anymore due to the large amount of packages.<br />
<br />
The core idea of Debtags is to use Faceted Categorization for our packages.<br />
Faceted Categorization is a 50-years-old library science technique which is<br />
being rediscovered by Information Architecture with very good results.<br />
<br />
The Debtags effort is developing a powerful and flexible system to attach<br />
&quot;tags&quot; to packages, which allow us to explicit some of their attributes, making<br />
them available to automated tools such as package managers and web interfaces.<br />
Example uses of Debtags are package search, browsing the archive, filtering out<br />
classes of packages like auto-installed shared libraries or localization<br />
packages specific to locales other than the ones compiled in the system.<br />
<br />
The Debtags effort needs to face three major problems:<br />
<br />
 1. Creating a suitable set of tags<br />
 2. Categorizing the vast amount of packages<br />
 3. Enhancing existing applications with access to the debtags informations<br />
<br />
All three issues are being actively attacked with good results:<br />
 - there is already a vast set of tags built over time, even if it is in<br />
   continuous need of refining;<br />
 - a large part of our package archive has been at least partially categorised,<br />
   and there is a tool called debtags-edit that every developer and user can<br />
   use to categorise the package they know best;<br />
 - a new library called 'libapt-front' is being developed as a smart front-end<br />
   to libapt which also integrates access to other data sources, which could be<br />
   debtags, popcon results and more.<br />
<br />
This is the outline of the presentation:<br />
<br />
 - What is Debtags and how it helps to find packages.<br />
 - The current state of the project.<br />
 - How to tag your packages.<br />
 - How to support Debtags in your application.<br />
 - Sample faceted-classification search interfaces.<br />
 - Future developments.<br />
<br />
This talk is intended to be technical.<br />
<br />
I feel I am qualified to talk about this as I am widely known as one of the<br />
core inventors and developers of it.  I am part of the debtags[1] and<br />
libapt-front[2] alioth projects.<br />
<br />
Some posts I have made on debian-devel about debtags:<br />
<br />
 - http://lists.debian.org/debian-devel/2003/04/msg02167.html<br />
 - http://lists.debian.org/debian-devel/2003/04/msg02272.html<br />
 - http://lists.debian.org/debian-devel/2004/04/msg07496.html<br />
 - http://lists.debian.org/debian-devel/2004/12/msg00424.html<br />
 - http://lists.debian.org/debian-devel/2004/10/msg00054.html<br /></div></p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Presentation type:</td>
<td class="input"><p>Talk (45 min)</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Track:</td>
<td class="input"><p>Technical</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Status:</td>
<td class="input"><p>Accepted</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

</table>

<h2>Authors:</h2>

<ul>

<li><p>Enrico Zini</p>


</li>

</ul>

<h2>Files:</h2>

<ul>

<li><p><a href="file/paper-debtags.tar.gz">paper-debtags.tar.gz</a> (378.55078125
  K)<br /> 
  The paper that goes with my presentation about Debtags</p>

</ul>

<center>
<input type="button" value="Go back" onClick="history.go(-1)">
</center>

	</div>
<br/>
<hr/>
</div>
<div id="bottom" class="margin-left: 4%">
&nbsp;<a href="http://www.debconf.org/debconf5">Debconf 5</a><br/> 
&nbsp;&nbsp;&nbsp;Powered by <a href="http://gborg.postgresql.org/project/comas">COMAS</a>, 
the Conference Management System by <a href="http://www.consol.org.mx">CONSOL</a>
</div>
</td>
</tr>
</table>

</body>
</html>

